#pragma once

#include "CoreMinimal.h"
#include "EFlagType.h"
#include "EFlagSize.h"
#include "EFlagItemType.h"
#include "UObject/NoExportTypes.h"
#include "ERemainingTimeFormat.h"
#include "TimerFlagViewData.generated.h"

USTRUCT(BlueprintType)
struct FTimerFlagViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EFlagType FlagType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EFlagSize FlagSize;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EFlagItemType ItemType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString TimerText;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShouldTick;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShouldExpandWithHover;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FDateTime EndDate;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ERemainingTimeFormat DisplayFormat;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 NumberOfUnitsInDisplay;

public:
	DBDUIVIEWINTERFACES_API FTimerFlagViewData();
};

FORCEINLINE uint32 GetTypeHash(const FTimerFlagViewData) { return 0; }
